Skip to main content
PUT
/
invoices
/
{invoiceId}
Update invoice
curl --request PUT \
  --url https://api.getenso.ai/invoices/{invoiceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date": "2023-12-25",
  "fromDate": "2023-12-25",
  "toDate": "2023-12-25",
  "notes": "<string>",
  "invoiceItemOrder": [
    "<string>"
  ]
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Path Parameters

invoiceId
string
required

Invoice ID

Body

application/json
date
string<date>
fromDate
string<date>
toDate
string<date>
notes
string
invoiceItemOrder
string[]

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)